Dashboard
Set a widget secret
Create or replace a vault secret widgets reference by name. Requires the **admin** role.
udon_session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/bento/secrets" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "value": "string" }'Empty
Upload wallpaper media PUT
Upload the wallpaper as a JPEG, PNG, or WebP image (8 MB max) or an MP4 video (64 MB max). The raw bytes are the request body, and `Content-Type` must name the file's type. Requires the **operator** role.
Edit a widget POST
Edit a dashboard widget. Requires the **admin** role.